Loading...
Searching...
No Matches
LLVMType< const T > Struct Template Reference

`#include <openvdb_ax/codegen/Types.h>`

Inheritance diagram for LLVMType< const T >:

## Static Public Member Functions

static llvm::Type * | get (llvm::LLVMContext &C)
| Return an LLVM type which represents T.
static llvm::Constant * | get (llvm::LLVMContext &C, const T V)
| Return an LLVM constant Value which represents T value.
static llvm::Constant * | get (llvm::LLVMContext &C, const T *const V)
| Return an LLVM constant which holds an uintptr_t, representing the current address of the given value.

## Member Function Documentation

## get() [1/3]

template<typename T>

llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const T *const | V )

inline static inherited

Return an LLVM constant which holds an uintptr_t, representing the current address of the given value.

Parameters

  C | The LLVMContext
  V | The address of a given type to convert to an LLVM constant

## get() [2/3]

template<typename T>

llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const T | V )

inline static inherited

Return an LLVM constant Value which represents T value.

Parameters

  C | The LLVMContext
  V | The value to convert to an LLVM constant

Returns
  If successful, returns a pointer to an LLVM constant which holds the value T.

## get() [3/3]

llvm::Type * get | ( | llvm::LLVMContext & | C | ) |

inline static

Return an LLVM type which represents T.

Parameters

  C | The LLVMContext to request the Type from.